Ошибка при создании приложения при добавлении зависимости для payumoney sdk

Я получаю подписку

build fail message:
Error:FAILURE: Build failed with an exception.

Что пошло не так:

Execution failed for task ':app:transformClassesWithMultidexlistForDebug'.
> com.android.build.api.transform.TransformException: Error while generating the main dex list.

Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

Get more help at https://help.gradle.org

BUILD FAILED in 13s

Вот мой код файла build.gradle:

android {
    compileSdkVersion 27
    buildToolsVersion '27.0.3'
    useLibrary 'org.apache.http.legacy'
    defaultConfig {
        applicationId "com.bhashaproject.bhashas"
        minSdkVersion 20
        targetSdkVersion 27
        versionCode 1
        versionName "1.0"
        multiDexEnabled true
    }
dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'

    compile 'com.android.support:appcompat-v7:27.1.1'
    compile 'com.android.support:support-v4:27.1.1'
    compile 'com.android.support:design:27.1.1'
    compile 'com.android.support:cardview-v7:27.1.1'
    compile 'com.android.support:support-vector-drawable:27.1.1'
    compile 'com.android.support:customtabs:27.1.1'
    compile 'org.apache.httpcomponents:httpcore:4.4.4'
    compile 'com.squareup.okhttp3:okhttp:3.9.0'
    compile 'com.android.support:design:27.1.1'
    compile 'com.android.support:support-v4:27.1.1'
    compile 'com.google.code.gson:gson:2.8.0'
    compile 'com.mcxiaoke.volley:library:1.0.19'
    compile 'com.koushikdutta.ion:ion:2.1.7'
    compile 'com.github.bumptech.glide:glide:3.7.0'
    compile 'com.nostra13.universalimageloader:universal-image-loader:1.9.5'
    compile 'com.android.support:recyclerview-v7:27.1.1'
    compile 'com.android.support:multidex:1.0.3'
    compile files('libs/httpmime-4.1.jar')
    compile files('libs/sinch-android-rtc-3.8.0-VIDEO-SNAPSHOT.jar')
    compile 'com.payumoney.sdkui:plug-n-play:1.4.1'
}
}

Пожалуйста помоги.

Добро пожаловать в Stack Overflow. Не могли бы вы также добавить коды build.gradle?

ʍѳђઽ૯ท 10.09.2018 08:36

Спасибо @ ʍѳђ ઽ ૯ ท. Я обновил вопрос.

Ajinkya 10.09.2018 09:03
0
3
244
1
Перейти к ответу Данный вопрос помечен как решенный

Ответы 1

Ответ принят как подходящий

У вас есть повторяющиеся зависимости в вашем Build.gradle.

Попробуйте удалить это:

compile 'com.android.support:design:27.1.1'
compile 'com.android.support:support-v4:27.1.1'

В этом случае нет необходимости добавлять другие зависимости (multidex). Это увеличит размер проекта и т.д. Честно говоря, я бы не стал этого делать, поскольку это можно сделать, удалив эти повторяющиеся зависимости.


Примечание, что compile заменен на implementation в новой версии Android Studio, и вам лучше проверить: В чем разница между реализацией и компиляцией в Gradle?

Как насчет multiDexEnabled false и удаления его зависимости?

ʍѳђઽ૯ท 10.09.2018 09:41

Другие вопросы по теме